test_that("create_fairify works", {
  path <- helper_create_fairify(rstudio = TRUE)
  project <- basename(path)
  expect_true(file.exists(file.path(path, paste0(project, ".Rproj"))))
  expect_true(dir.exists(file.path(path, ".git")))
  expect_true(file.exists(file.path(path, ".gitignore")))
  expect_true(dir.exists(file.path(path, "R")))
  expect_warning(update_fairify(path))
  unlink(path, recursive = TRUE)
})

test_that("create_fairify with git = FALSE doesn't create git repo works", {
  path <- helper_create_fairify(git = FALSE)
  project <- basename(path)
  expect_false(file.exists(file.path(path, ".git")))
  unlink(path, recursive = TRUE)
})

