library(showtext)
## Loading Google fonts (http://www.google.com/fonts)
font_add_google("Raleway", "Raleway")
## Automatically use showtext to render text for future devices
showtext_auto()


hexSticker::sticker("data-raw/fair_symbols3.png",
                    s_x = 1, s_y = 1, s_width = .68,
                    package="fairify",
                    p_y = 1, p_size = 48,
                    p_family = "Raleway",
                    p_fontface = "bold",
                    p_color = InraeThemes::palette_inrae()["inrae_taupe_clair"],
                    h_fill = InraeThemes::palette_inrae()["inrae"],
                    h_color = InraeThemes::palette_inrae()["inrae_cyan"],
                    filename ="man/figures/logo.png")
