test_that("create_reports works", {
  path <- tempfile(pattern = "create_reports")
  dir.create(path, recursive = TRUE)
  expect_equal(create_reports(path),
               file.path(path, "reports"))
  expect_true(all(dir.exists(file.path(path, c("reports", "templates")))))
  expect_error(create_reports(path))
  expect_warning(create_reports(path,  overwrite = TRUE))
  unlink(path, recursive = TRUE)
})
